package com.ho.test.reflexion.tocheck;

import java.io.Serializable;


public class TestClassInstance extends SuperTestClassInstance implements Serializable, ITestClassInstance{

	// Fields
	public String publicfield = "publicfield_value";
	public static String publicstaticfield = "publicstaticfield_value";
	private String privatefield = "privatefield_value";
	private static String privatestaticfield = "privatestaticfield_value";
	protected String protectedfield = "protectedfield_value";
	protected static String protectedstaticfield = "protectedstaticfield_value";


	// Methods
	public boolean getPublicMethod(String str){
		System.out.println("calling getPublicMethod(String str)!");
		return true;
	}

	public static boolean getPublicStaticMethod(String str) throws Exception{
		System.out.println("calling getPublicStaticMethod(String str)!");
		return true;
	}

	private boolean getPrivateMethod(String str){
		System.out.println("calling getPrivateMethod(String str)!");
		return true;
	}

	private static boolean getPrivateStaticMethod(String str){
		System.out.println("calling getPrivateStaticMethod(String str)!");
		return true;
	}
	
	protected boolean getProtectedMethod(String str){
		System.out.println("calling getProtectedMethod(String str)!");
		return true;
	}

	protected static boolean getProtectedStaticMethod(String str){
		System.out.println("calling getProtectedStaticMethod(String str)!");
		return true;
	}
	
	public boolean getPublicMethod(Integer intt){
		System.out.println("calling getPublicMethod(Integer intt)!");
		return true;
	}

	public boolean getPublicMethod(int intt){
		System.out.println("calling getPublicMethod(int intt)!");
		return true;
	}
	
	public boolean getPublicMethod(Object obj){
		System.out.println("calling getPublicMethod(Object obj)!");
		return true;
	}
	
	// Constructeurs
	public TestClassInstance(){}
	
	public TestClassInstance(String str){}

	public TestClassInstance(String str1, String str2){
		publicfield = str1;
		publicstaticfield = str2;
	}

	public TestClassInstance(String str, int intt){}
	public TestClassInstance(String str, Integer intt){}
	
	private TestClassInstance(String str1, String str2, long lg){
		privatefield = str1;
		privatestaticfield = str2;
	}
	private TestClassInstance(String str, Integer intt, long lg){}

	protected TestClassInstance(String str1, String str2, long lg, String str3){
		protectedfield = str1;
		protectedstaticfield = str2;		
	}
	protected TestClassInstance(String str, Integer intt, long lg, String str2){}

	// Getter/Setter
	public String getPrivatefield() {
		return privatefield;
	}

	public void setPrivatefield(String privatefield) {
		this.privatefield = privatefield;
	}

	public String getPublicfield() {
		return publicfield;
	}

	public void setPublicfield(String publicfield) {
		this.publicfield = publicfield;
	}

	public static String getPublicstaticfield() {
		return publicstaticfield;
	}
	
	public static void setPublicstaticfield(String publicstaticfield) {
		TestClassInstance.publicstaticfield = publicstaticfield;
	}

	public static String getPrivatestaticfield() {
		return privatestaticfield;
	}

	public static void setPrivatestaticfield(String privatestaticfield) {
		TestClassInstance.privatestaticfield = privatestaticfield;
	}
	
	public String getProtectedfield() {
		return protectedfield;
	}

	public void setProtectedfield(String protectedfield) {
		this.protectedfield = protectedfield;
	}

	public static String getProtectedstaticfield() {
		return protectedstaticfield;
	}

	public static void setProtectedstaticfield(String protectedstaticfield) {
		TestClassInstance.protectedstaticfield = protectedstaticfield;
	}

}
